=== modified file 'lib/lp/codehosting/tests/test_bzrlib.py'
--- lib/lp/codehosting/tests/test_bzrlib.py	2009-09-08 02:56:40 +0000
+++ lib/lp/codehosting/tests/test_bzrlib.py	2009-09-08 03:32:02 +0000
@@ -4,11 +4,13 @@
 """Launchpad specific tests of bzrlib behavior."""
 
 __metaclass__ = type
-__all__ = []
 
 import unittest
 
-class TestBzrlib(unittest.TestCase):
+from lp.testing import TestCase
+
+
+class TestBzrlib(TestCase):
     def test_has_cextensions(self):
         """Ensure Bazaar C extensions are being used."""
         try:
@@ -17,5 +19,5 @@
             self.fail("Bzr not built with C extensions.")
 
 
-def testsuite():
+def test_suite():
     return unittest.TestLoader().loadTestsFromName(__name__)

=== modified file 'lib/lp/services/database/tests/test_storm.py'
--- lib/lp/services/database/tests/test_storm.py	2009-09-08 02:27:31 +0000
+++ lib/lp/services/database/tests/test_storm.py	2009-09-08 03:32:02 +0000
@@ -4,18 +4,21 @@
 """Launchpad specific tests of Storm behavior."""
 
 __metaclass__ = type
-__all__ = []
 
 import unittest
 
 import storm
 
-
-class TestStorm(unittest.TestCase):
+from lp.testing import TestCase
+
+
+class TestStorm(TestCase):
     def test_has_cextensions(self):
         """Ensure Storm C extensions are being used."""
-        self.assert_(storm.has_cextensions)
-
-
-def testsuite():
+        self.assert_(
+            storm.has_cextensions,
+            'Storm not running with C extensions')
+
+
+def test_suite():
     return unittest.TestLoader().loadTestsFromName(__name__)

